C LAST UPDATE: 
C+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
C
C**************************
C**     LDM_CHANGED      **
C**************************
C
C
      SUBROUTINE LDM_CHANGED (ICHAN, CH_FLAG, IFLAG)
C
      INCLUDE 'implicit_none.finc'
C
C Purpose: Test parameter value changed flag
C
C ***** 'LDM' SERVICE ROUTINE ONLY *****
C
C Author:  John W. Campbell, April 1994
C
C Arguments:
C
      INTEGER ICHAN
      INTEGER CH_FLAG
      INTEGER IFLAG

C ICHAN   (R)    Channel no. (1-16)
C CH_FLAG (R)    Change flags for the parameter value
C IFLAG   (W)    Return flag =1 parameter value changed
C                            =0 parameter value not changed
C
C====== Parameter statements
C 

C
C====== GLOBALS:
C

C
C====== FUNCTION TYPES:
C
      INTEGER NBITST
C
C====== LOCALS:
C
C
C-------------------------------------------------------------------------------
C
      IFLAG = 0
      IF (ICHAN.LT.1.OR.ICHAN.GT.16) RETURN
      IF (NBITST(CH_FLAG,ICHAN-1,1).GT.0) IFLAG = 1
      RETURN
      END
